module.exports = {
    "env": {
        "es6": true,
        "node": true
    },
    "extends": "eslint:recommended",
    "parserOptions": {
        "sourceType": "module"
    },
    "parser": "babel-eslint",
    "rules": {
        "no-shadow": ["error"],  //禁止变量声明覆盖外层作用域的变量
        'no-console': ['off'],   //禁用 console
        "linebreak-style": [     //强制使用一致的换行风格
            "error",
            "windows"
        ],
        "quotes": [              //强制使用一致的反勾号、双引号或单引号
            "error",
            "single"
        ],
        "semi": [               //要求或禁止使用分号代替 ASI
            "error",
            "always"
        ],
        "indent": ["error", 4, {   //强制使用一致的缩进
            "SwitchCase": 1
        }],
    }
};

//http://eslint.cn/docs/rules  具体设置规则